# 2.1.0 configuration

If you are upgrading to version 2.0.0 or later from a previous version, add "/v2" to the host URL. See example in the full configuration below.

Things to remember:

{% stepper %}
{% step %}

### Widget order

The order in which the widgets will appear in the UI is driven from the `widgets` block of the configuration:

```json
"widgets": [
    "generic",
    "headline",
    "summary",
    "genericheadline"
],
```

{% endstep %}

{% step %}

### Rename check box labels

Renaming the check box (previously named 'Digital' & 'Print') can be done under `widgetConfig`:

```json
"checkoBoxLabelName": "DIGI"
```

{% endstep %}

{% step %}

### Per-instance model and service provider

Each instance can have its own model and service provider, which are set by:

```json
"serviceProvider": "<set service provider>",
"modelId": "<set model id>"
```

{% endstep %}

{% step %}

### Encrypted key phrase for ChatGPT models

For using your ChatGPT model, the value of the key `encryptedKeyPhrase` is necessary.
{% endstep %}

{% step %}

### Enable or disable saved results widget

You can turn OFF or ON the saved result widget by setting the value of the key `saveWidget` to `true` (enable) or `false` (disable).
{% endstep %}

{% step %}

### Bedrock model prompt requirement

While using Bedrock models it is required to end prompts with the words: '*provided in XML tag*' when asking to generate something. This is important to parse data correctly.

This ending is not required for OpenAI models.
{% endstep %}

{% step %}

### XPath for result location

XPath for setting the location of the result must be associated with allowed nodes in the writer body. Example:

```json
"xPath": "drophead",
```

{% endstep %}
{% endstepper %}

## Full Configuration

```json
{
    "host": "https://ai-eu-west-1.saas-prod.infomaker.io/v2",
    "contextLimit": 2,
    "encryptedKeyPhrase": "HhjiQuvUnNdeWjZ5K6F[^zxQ5^DwSTjo",
    "widgets": [
        "generic",
        "headline",
        "summary",
        "genericheadline"
    ],
    "widgetConfig": {
        "genericheadline": {
            "digital": {
                "preText": "Suggest headlines for the article provided in XML tag. If the article has a strong local connection, reflect this in the headline.",
                "creativity": 5,
                "xPath": "drophead",
                "checkBoxDefault": true,
                "checkoBoxLabelName": "DIGI",
                "providerAccessToken": "",
                "serviceProvider": "Bedrock",
                "modelId": "anthropic.claude-v2:1"
            },
            "print": {
                "preText": "Suggest headlines for the article provided in XML tag. If the article has a strong local connection, reflect this in the headline.",
                "creativity": 5,
                "checkBoxDefault": true,
                "checkoBoxLabelName": "PR",
                "providerAccessToken": "",
                "serviceProvider": "Bedrock",
                "modelId": "anthropic.claude-v2:1"
            }
        },
        "headline": {
            "digital": {
                "preText": "Suggest headlines for the article provided in XML tag. If the article has a strong local connection, reflect this in the headline.",
                "creativity": 5,
                "checkBoxDefault": true,
                "checkoBoxLabelName": "DIGI",
                "providerAccessToken": "",
                "serviceProvider": "Bedrock",
                "modelId": "anthropic.claude-v2:1"
            },
            "print": {
                "preText": "Suggest headlines for the article provided in XML tag. If the article has a strong local connection, reflect this in the headline.",
                "creativity": 5,
                "checkBoxDefault": true,
                "checkoBoxLabelName": "PR",
                "providerAccessToken": "",
                "serviceProvider": "Bedrock",
                "modelId": "anthropic.claude-v2:1"
            }
        },
        "summary": {
            "digital": {
                "preText": "Suggest summaries for the article provided in XML tag. Act as a news editor and your task is to suggest a click bait social media teaser for the article.",
                "creativity": 5,
                "checkoBoxLabelName": "DIGI",
                "checkBoxDefault": true,
                "providerAccessToken": "<chatGPT token goes here>",
                "serviceProvider": "openai",
                "modelId": "gpt-4-turbo"
            },
            "print": {
                "preText": "Suggest summaries for the article provided in XML tag. Act as a news editor and your task is to suggest a summary for the article.",
                "creativity": 5,
                "checkBoxDefault": true,
                "checkoBoxLabelName": "PRINT",
                "providerAccessToken": "",
                "serviceProvider": "Bedrock",
                "modelId": "anthropic.claude-v2:1"
            }
        },
        "generic": {
            "digital": {
                "preText": "You are a News Editor of a News Firm and your task is to suggest headlines for the article provided in  XML tag.\n\nPlease use professional tone while generating headlines.",
                "creativity": 5,
                "checkBoxDefault": true,
                "checkoBoxLabelName": "DIGITAL",
                "providerAccessToken": "<chatGPT token goes here>",
                "serviceProvider": "Bedrock",
                "modelId": "anthropic.claude-instant-v1"
            },
            "print": {
                "preText": "You are a News Editor of a News Firm and your task is to suggest headlines for the article provided in  XML tag.\n\nPlease use professional tone while generating headlines.",
                "creativity": 5,
                "checkBoxDefault": false,
                "providerAccessToken": "",
                "checkoBoxLabelName": "PRINT",
                "serviceProvider": "Bedrock",
                "modelId": "anthropic.claude-instant-v1"
            }
        }
    },
    "saveWidget": true
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/general/2.1.0-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
